#ifndef _diffusion_doxygen_defs_h_
#define _diffusion_doxygen_defs_h_ 1

/**
 * Copyright © 2021 Push Technology Ltd., All Rights Reserved.
 *
 * Use is subject to license terms.
 *
 * NOTICE: All information contained herein is, and remains the
 * property of Push Technology. The intellectual and technical
 * concepts contained herein are proprietary to Push Technology and
 * may be covered by U.S. and Foreign Patents, patents in process, and
 * are protected by trade secret or copyright law.
 * @defgroup PublicAPI Public API functions.
 *
 * @defgroup PublicAPI_Session Session management.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_Security Changing client principal & credentials.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_Topics Receiving data from topics.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_TopicControl Creating and removing topics.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_Messaging Sending and receiving messages as a client.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_MessagingControl Handling messages from and to clients.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_AuthenticationControl Authentication services.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_Ping Sending pings and responding to ping request.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_SubscriptionControl Managing topic subscriptions.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_TopicUpdate Maintaining topic state.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_SystemAuthenticationControl Management of the system authentication store.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_SecurityControl Management of the security store.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_ClientControl Management of other clients.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_TimeSeries Working with time series topics.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_TopicNotifications Receive notifications about changes to selected topics.
 * @ingroup PublicAPI
 *
 * @defgroup PublicAPI_TopicViews Management of topic views.
 * @ingroup PublicAPI
 */

#endif
